View Issue Details

IDProjectCategoryView StatusLast Update
0001656XdebugRemote Debuggingpublic2019-04-22 16:13
ReporterderflockiAssigned Toderick 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version2.7.1 
Target Version2.7.2Fixed in Version2.7.2 
Summary0001656: remote_connect_back alters remote_addr_header value if multiple are used (e.g.: with multiple proxies)
DescriptionWhen trying to find the first IP for remote_connect_back, the header value used is modified.
Steps To ReproduceI have created a gist to reproduce the bug with docker: https://gist.github.com/derflocki/3c581aafc5c3134ee2f2cb151a364035
TagsNo tags attached.
Operating System
PHP Version7.3.2-7.3.4

Activities

derick

2019-04-21 15:16

administrator   ~0005004

I can reproduce this with a one liner:

XDEBUG_CONFIG="idekey=dr" I_LIKE_COOKIES="127.0.0.1, 127.0.0.2" php -dxdebug.remote_enable=1 -dxdebug.remote_log=/tmp/remote-1.log -dxdebug.remote_addr_header=I_LIKE_COOKIES -dxdebug.remote_connect_back=1 -r "var_dump(\$_SERVER['I_LIKE_COOKIES']);"


echos:

Command line code:1:
string(20) "127.0.0.1\000 127.0.0.2"

derick

2019-04-22 16:13

administrator   ~0005006

Thanks for the report, and start of a patch to solve this.

Issue History

Date Modified Username Field Change
2019-04-12 19:45 derflocki New Issue
2019-04-21 15:16 derick Assigned To => derick
2019-04-21 15:16 derick Status new => confirmed
2019-04-21 15:16 derick Note Added: 0005004
2019-04-22 16:13 derick Status confirmed => closed
2019-04-22 16:13 derick Resolution open => fixed
2019-04-22 16:13 derick Fixed in Version => 2.7.2
2019-04-22 16:13 derick Note Added: 0005006
2019-04-22 16:13 derick Target Version => 2.7.2